Download a supplier invoice file
get
/api/erp/integrations/resources/v1/payables/supplierInvoices/files/{fileId}/data
Downloads an incoming supplier invoice file or logical document from the object store as a binary stream.
Request
Path Parameters
-
fileId(required): string
Unique identifier of the incoming file or logical document to download.Example:
44671
Query Parameters
-
flowCode: string
Name of the Document IO flow associated with the supplier invoice file.Example:
FIN_AP_IMPORT_PAYABLES_INVOICES -
type(required): string
Type of document to download. Valid values are incoming and logical.Example:
logical
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/octet-stream
200 Response
The supplier invoice file was retrieved successfully.
Examples
The following example shows how to download an incoming supplier invoice file or logical document by submitting a GET request on the REST resource using cURL.
curl --location 'https://servername.fa.us2.oraclecloud.com/api/erp/integrations/resources/v1/payables/supplierInvoices/files/44671/data?type=logical' \ --header 'Authorization: Bearer <Bearer Token>' \
Example Response Body
A successful response returns the requested file as an application/octet-stream binary stream.